curl --request GET \
--url https://api.komerza.com/stores/{storeId}/reviews \
--header 'Authorization: Bearer <token>'{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"rating": 123,
"reason": "<string>",
"productName": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerEmail": "<string>",
"reply": "<string>",
"repliedAt": "2023-11-07T05:31:56Z",
"repliedByUserId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flagged": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"reason": "<string>",
"approved": true,
"administratorNote": "<string>"
}
}
]
}Gets the current and previous reviews for a store.
Requires the stores.view permission.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/reviews \
--header 'Authorization: Bearer <token>'{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"rating": 123,
"reason": "<string>",
"productName": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerEmail": "<string>",
"reply": "<string>",
"repliedAt": "2023-11-07T05:31:56Z",
"repliedByUserId": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flagged": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"reason": "<string>",
"approved": true,
"administratorNote": "<string>"
}
}
]
}| Field | Type | Description |
|---|---|---|
rating | integer | Filter by star rating (1-5) |
emailAddress | string | Filter by customer email (case-insensitive contains) |
hasReply | boolean | Filter reviews that have a merchant reply |
dateRangeFrom | datetime | Filter reviews created on or after this date |
dateRangeTo | datetime | Filter reviews created on or before this date |
# 5-star reviews from last 30 days
GET /api/stores/{storeId}/reviews?filters=rating==5,dateRangeFrom>=2025-10-28
# Reviews without replies, sorted by newest first
GET /api/stores/{storeId}/reviews?filters=hasReply==false&sorts=-dateRangeFrom
Your API key goes here
The ID of the store to get the reviews for
Filter by star rating (exact match).
Case-insensitive contains on the customer’s email address.
Only reviews that have a merchant reply.
Reviews created on or after this date.
Reviews created on or before this date.
1 <= x <= 21474836471 <= x <= 2147483647The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.
Was this page helpful?